Reklam

* E Posta Adresiniz:
* Kodu Girin:

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] > 15 < [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] [85] Sonraki Sayfa
İleti Yazar
21.05.2010 11:55
57558    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara



Linkleri görebilmek için ÜYE olmalısınız.


Linkindeki AutoLisp programı kullanabilirsiniz...

Where there is a will, there is a way... Beğenmek için anlamak lazım...

22.05.2010 17:06
57580    
ozandurmus

[2] Girişimci

Online Durumu

4 ileti
Teknik Ressam
St. Petersburg

çok saol yardımın için çok ii geldi bu

23.05.2010 13:18
57585    
TR-hathor

[2] Girişimci

Online Durumu

24 ileti
insaat teknikeri
ankara

arkadaşlar merhaba, seçtiğim paftayı model bölümüde yada layoutda olsun, mause'la paftanın çapraz şekilde başlangıç ve bitiş noktalarını göstererek,
örnek A0+ olsun... paftaboyu 841x1600 (mm) yada 84,1x160 (cm) boyutlar değişebilir A0, A0+, A1, A1+ vs. istedigim ctb yi kullanmama izin vererek pdf boyutunu mm cinsinden.. yaptıgım çizimleri 841x1600 (mm) olarak pdf formatında kolaylıkla arşivlememi sağlıyacak bi lisp varmı??? verdigim pafta boyu örnektir, pafta genişliği değişkendir.

23.05.2010 21:51
57590    
haydogdu2

[2] Girişimci

Online Durumu

4 ileti
inşaat mühendisi
istanbul

Merhaba arkadaşlar.
Benim Sorum şu Olacak İsteğimde
STATİK PROJE ÜZERİNDEN DEMİR METRAJINI YAPABİLEN BİR LİSP OLABİLİR Mİ ?
YADA METRAJ KONUSUNDA LİSP ARIYORUM.
YARDIMLARINIZ İÇİN TEŞEKKÜR EDERİM BEKLİYORUM ARKADAŞLAR.

01.06.2010 18:43
57743    
id

[2] Girişimci

Online Durumu

14 ileti
mühendis
diyarbakır

Arkadaşlar bana bir çizgi üserinde bulunan yazıyı paralel olarak istediğim mesafeye hem taşıyacak hem de font yüksekliğini atayabileceğim bir lisp lazım. İlgilenecek arkadşalar şimdiden teşekkürler...

24.09.2010 10:53
59617    
ec

[2] Girişimci

Online Durumu

21 ileti

Ankara

Selamlar, çok kullandığım bir lisp var. Blok değiştirmek için kullanıyorum. Fakat her kullanışımda pickbox 3 oluyor ve osnap ayarlarım bozuluyor. Lispi aşağıda veriyorum. Yardımcı olabilirseniz sevinirim. Teşekkürler.
Kod:

(DEFUN C:TT ()
(IF (= TTYPE NIL)(SETQ TTYPE "TAP4"))
(PRINC "BLOK ADI<")(PRINC TTYPE)(PRINC "> ")
(SETQ TTYPE1 (GETSTRING))
(IF (/= TTYPE1 "" )(SETQ TTYPE TTYPE1))
(INITGET 1)
(SETVAR "OSMODE" 0)(SETVAR "PICKBOX" 3)
(PRINC "ESKI BLOGU SECIN > ")
(SETQ AA (SSGET))
(SETQ J (1- (SSLENGTH AA)))
(WHILE (>= J 0)
(SETQ ID (SSNAME AA J))
(SETQ BIL (ENTGET ID))
(SETQ INS (CDR (ASSOC 10 BIL)))
(SETQ ANG (CDR (ASSOC 50 BIL)))
(SETQ ANG (/ (* 180 ANG) PI))
(SETQ INS (CDR (ASSOC 10 BIL)))
(SETQ LAY (CDR (ASSOC 8 BIL)))
(ENTDEL ID)
(COMMAND "INSERT" TTYPE INS "" "" ANG)
(COMMAND "CHPROP" "L" "" "LA" LAY "")
(SETQ J (1- J))
)
)


ehya (02.12.2010 18:53 GMT)

24.09.2010 18:13
59624    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

(DEFUN C:TT ()
(IF (= TTYPE NIL)(SETQ TTYPE "TAP4"))
(PRINC "BLOK ADI<")(PRINC TTYPE)(PRINC "> ")
(SETQ TTYPE1 (GETSTRING))
(IF (/= TTYPE1 "" )(SETQ TTYPE TTYPE1))
(INITGET 1)
(SETVAR "OSMODE" 0)
(SETVAR "PICKBOX" 3)
(PRINC "ESKI BLOGU SECIN > ")
(SETQ AA (SSGET))
(SETQ J (1- (SSLENGTH AA)))
(WHILE (>= J 0)
(SETQ ID (SSNAME AA J))
(SETQ BIL (ENTGET ID))
(SETQ INS (CDR (ASSOC 10 BIL)))
(SETQ ANG (CDR (ASSOC 50 BIL)))
(SETQ ANG (/ (* 180 ANG) PI))
(SETQ INS (CDR (ASSOC 10 BIL)))
(SETQ LAY (CDR (ASSOC 8 BIL)))
(ENTDEL ID)
(COMMAND "INSERT" TTYPE INS "" "" ANG)
(COMMAND "CHPROP" "L" "" "LA" LAY "")
(SETQ J (1- J))
)
)


AutoLisp kodunuzdan yukarıda kırmızı ile işaretlediğim kısmı kaldırın, bahsettiğiniz problem çözülecektir.
Burada bir konuda daha uyarıda bulunmak zorundayım;
Bu fonksiyyonu çalıştırınca, bir tek pickbox 3 olmakla klamıyor, object snap te sorgusuz sualsiz kapatılıyor. Fonksiyonu aşağıdaki gibi yazarsanız, program kodunuz daha derli toplu olur, pickbox'a ilişmez, girişteki osnap değerini kaybetmez ve Komut satırındaki görüntüsü de daha düzenli olur..
Kod:

(defun C:TT ()
  (setq oosm (getvar "osmode")) (setvar "osmode" 0)
  (if (= TTYPE1 nil) (setq TTYPE1 "TAP4"))
  (setq TTYPE (getstring (strcat "\nBLOK ADI<" TTYPE1 "> ")))
  (if (= TTYPE "") (setq TTYPE TTYPE1))
  (princ "\nESKI BLOGU SECIN > ")
  (setq J (sslength (setq AA (ssget))) TTYPE1 TTYPE)
  (while (>= (setq J (1- J)) 0)
    (setq BIL  (entget (ssname AA J))
          INS (cdr (assoc 10 BIL))
          ANG (/ (* (cdr (assoc 50 BIL)) pi) 180.0)
          LAY (cdr (assoc 8 BIL))
    )
    (entdel (cdr (assoc -1 BIL)))
    (entmake (list
      (cons 0 "INSERT") (cons 2 TTYPE)
      (cons 8 LAY) (cons 10 INS) (cons 50 ANG))
    )
  )
  (setvar "osmode" oosm) (prin1)
)
Kolay gelsin...


ProhibiT (24.09.2010 18:58 GMT)

Where there is a will, there is a way... Beğenmek için anlamak lazım...

27.09.2010 10:57
59659    
ec

[2] Girişimci

Online Durumu

21 ileti

Ankara

ProhibiT, ilginiz için teşekkür ederim.

02.12.2010 18:26
61029    
Al Capone A

[1] Yeni üye

Online Durumu

2 ileti
öğrenci
istanbul

ehya hocam textlerdeki sayilari toplayan lispinizde sayilari toplarken noktadan sonra iki haneli bir yuvarlatma oluyor. ornegin 30+60=90.00 gibi. Benim sorum o yuvarlatmanin kaldirilmasi mumkun mu acaba yani 30+60=90
yazmasini saglayabilirmiyiz?

02.12.2010 18:56
61030    
ehya

[90] Yönetici

Online Durumu

3181 ileti
Teknik Ressam
Ankara

Alıntı
Al Capone A :
ehya hocam textlerdeki sayilari toplayan lispinizde sayilari toplarken noktadan sonra iki haneli bir yuvarlatma oluyor. ornegin 30+60=90.00 gibi. Benim sorum o yuvarlatmanin kaldirilmasi mumkun mu acaba yani 30+60=90
yazmasini saglayabilirmiyiz?



DIMZIN değerini 8 yaptıktan sonra komutu kullanın.

02.12.2010 19:34
61031    
Al Capone A

[1] Yeni üye

Online Durumu

2 ileti
öğrenci
istanbul

Yardımınız için çok teşekkür ederim ehya hocam sorun giderildi. Elinize sağlık.

13.12.2010 14:21
61313    
emasi

[5] Uzman

Online Durumu

78 ileti
injiner
Baki

Salamun aleykum
ArchiCad programında şöyle bir funksion var.İstediyin bölgeyi seçiyorsun ve seçilen çizginin içinde mesela hatları ayrıca seçmesini istiyorsun ve sonuç bütün hatlar seçiliyor.
Ve işi bir az kolaylaşdırıyor.Örneyi buyurun bakın:
http://www.boxca.com/uof8ex4u1avh/ornek.rar.html

Bildiyim kadarıyla AutoCad da böyle funksion yok.Şimdi AutoCad”da Çizdiyimiz faylda cok sayıda çizgiler olduğundan Quick select bize lazım olanın tümünü seçiyor.Bu da işi zorlandırıyor.
Şimdi deyerli abiler bu Lisp yazıla bilermi?
Şimdiden her kese teşekkürlermi bildirirem

«ŜŦǾק-ҒǏŔỄ»

BİR DƏFƏ YÜKSƏLƏN BAYRAQ, BİR DAHA ENMƏZ

13.12.2010 18:01
61320    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

Qselect'e girmeden bir obje gurubu (bahsettiğiniz gibi bir bölge) seçin
Qselect'e girdikten sonra; "Apply to:" nun yanındaki kutudan "Current Selection" seçin.
Bahsettiğiniz işlemi böylece problemsiz yapabilirsiniz.

Seçim yapmadan Qselect'e girerseniz, apply to seçeneği olarak bir tek "Entire Drawing" olacaktır.
Seçiminizi yaptıktan sonra Qselect'e girerseniz, apply to: için Current Selection ve Entire Drawing seçenekleri birlikte geçerli olacaklardır...

Kolay gelsin.


ProhibiT (13.12.2010 21:19 GMT)

Where there is a will, there is a way... Beğenmek için anlamak lazım...

14.12.2010 08:15
61338    
emasi

[5] Uzman

Online Durumu

78 ileti
injiner
Baki

ProhibiT hocam çok çok çok teşekkür ederim soruma cevab verdiyiniz üçün.Evet aradığım bu idi
İşlerinizde uğurlar

«ŜŦǾק-ҒǏŔỄ»

BİR DƏFƏ YÜKSƏLƏN BAYRAQ, BİR DAHA ENMƏZ

11.03.2011 23:38
63285    
onderylmz

[3] Kıdemli Girişimci

Online Durumu

32 ileti
Mak.Yük.Müh.
ANKARA

Merhabalar
özellikle tesisat çizimlerinde kullanılan , birbirine dik istikamette gelen çoklu doğruların fillet yapabilen lisp


|||
|||
|||
______________________
______________________
______________________
______________________
özellikle prohibit hocam yardımlarıızı beklerim

12.03.2011 05:57
63289    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

Bahsettiğinize benzer işlem yapan bir autolisp fonksiyon paylaşıldı diye hatırlıyorum.


Linkleri görebilmek için ÜYE olmalısınız.

linkine bir göz atmanızı tavsiye ederim.
miyatu arkadaşımızın paylaştığı fonksiyonun detaylarına bakma şansım olmadı, bahsettiğinize benzer işler yaptığını sanıyorum.

kolay gelsin...

Where there is a will, there is a way... Beğenmek için anlamak lazım...

12.03.2011 10:57
63290    
bayx_jeo

[1] Yeni üye

Online Durumu

2 ileti
harita müh. (jeodezi ve fotog. müh)
ordu

Iyi günler..
arkadaşlar kolay gelsin.. bende lisp te yeni başlayanlardanım.. amacım bir pline nın tüm kırık koordinatlarını bir noktaya göre (benim seçiceğim ya da elle gireceğim) dx ve dy sini .Txt olarak verebilecek bir lisp yazmak.. bunun için bana örnekler ya da yol gösterebilir misiniz? ya da varmı böyle bir lisp

12.03.2011 14:17
63293    
hgkyrl

[3] Kıdemli Girişimci

Online Durumu

46 ileti
peyzaj mimarı
istanbul

Merhaba

bu sabah altta kopyaladığım lisp i forumdan bulup denemiştim

bazı sıkıntılar var yardım rica ediyorum. sorunlar şöyle :

**bir dosyada ilkkez kullnılırken proje çalışma birimini soruyor metre cm veya mm ? gibi seçtikten sonra tekrar bu soru gelmiyor. metrik çalıştığımız halde bulduğu alançok küçük cm olarak çalışmışız gibi 136 m2 yerine 1.36 m2 buluyor..
**Alan hesaplama işini farklı bir ölçülendirme seçersem çalışmıyor, metrik yerine cm veya mm seçince sonuç alamadım
** Daha sonraki alan hesaplarını yapmıyor

(defun m2_br_sec ()
(if (= cizim_birim nil)
(progn
(initget 1 "mEtre Cm Mm")
(setq cizim_birim (getkword "
Çizim Birimini seçiniz [mEtre / Cm / Mm]:")))))
(defun m2_stil ()
(setq m2_stil_ara (tblsearch "style" "m2"))
(if (= m2_stil_ara nil)
(progn
(setq m2_yaz_yuk 12)
(setq m2_yaz_y (getdist (strcat "
Yazı Yüksekliği:< " (rtos m2_yaz_yuk) ">:")))
(if (= m2_yaz_y nil)
(setq m2_yaz_y m2_yaz_yuk))
(setq m2_yaz_yuk m2_yaz_y)
(command "style" "m2" "arial.ttf" m2_yaz_yuk "0.8" "" "" ""))))
(defun c:m2 ()
(setvar "modemacro" "Archme Design 2008 © by --> EhYa <--")
(setvar "cmdecho" 0)
(m2_br_sec)
(if (= cizim_birim "mEtre")
(progn
(setq m2_bol 100)))

(if (= cizim_birim "Cm")
(progn
(setq m2_bol 10000)))
(if (= cizim_birim "Mm")
(progn
(setq m2_bol 1000000)))
(setq m2_secim (ssget '((-4 . "<OR")
(0 . "LWPOLYLINE")
(0 . "POLYLINE")
(0 . "CIRCLE")
(0 . "ELLIPSE")
(0 . "SPLINE")
(0 . "REGION")
(0 . "3DSOLID")
(-4 . "OR>"))))
(if (= m2_secim nil)
(progn
(princ))
(progn
(setq m2_secim_say (sslength m2_secim))
(setq m2_c 0)
(setq m2_toplam 0)
(while (< m2_c m2_secim_say)
(setq m2_secim_tek (ssname m2_secim m2_c))
(command "area" "e" m2_secim_tek)
(setq m2_tek_alan (/ (getvar "area") m2_bol))
(setq m2_toplam (+ m2_toplam m2_tek_alan))
(setq m2_c (+ m2_c 1)))
(m2_stil)
(setq m2_aciklama (getstring t "
Yazılacak metni yazınız:"))
(setq m2_yer (getpoint "
Yer Gösterin:"))
(if (= m2_yer nil)
(progn
(princ "
Yer gösterilmediği için komut bitirildi !!!..."))
(progn
(command "text" m2_yer "0" m2_aciklama)
(command "text" "" (strcat (rtos m2_toplam 2 2) " m2"))
))))(princ))
(PRINC "--> 'www.autocadokulu.com' Çizim yardımları yüklendi !")(defun c:MAH (/ YUK YUK1P1 VAL VAL1 Mah_Alani Mah_Ismi)

(SETQ YUK 18
YUK1 10
ARA 20
ARA1 12)

(setq bCmdEcho (getvar "CMDECHO"))
(setq nOsnap (getvar "OSMODE"))

(setvar "CMDECHO" 0)
(setvar "OSMODE" 0)

(command "LAYER" "M" "yazi" "C" "7" "" "")


;;;**************************************************
(command "layer" "off" "aks" "")
(command "layer" "off" "kesit" "")
(command "layer" "off" "L4" "")
(command "layer" "off" "siva" "")
(command "layer" "off" "tarama" "")
(command "layer" "off" "tefris" "")
(command "layer" "off" "aks_ici" "")
;;;**************************************************





(setq P1 (getpoint "n Mahal isminin konacagi yeri belirtiniz : "))(terpri)
(command "-boundary" p1 "")(terpri)
(command "area" "o" "l" "")(terpri)

(setq VAL (/(getvar "area" ) 10000.0) )
(setq VAL1 (rtos val 2 2))
(command "erase" "l" "")(terpri)

(setq Mah_Alani (strcat "Alan:"Val1"m²"))


(t (command "text" "st" "standard" (polar P1 (/ pi 2.0) 0.15) yuk1 "0" "Oda" )
(command "text" "st" "standard" "j" "mc" (polar P1 (* (/ pi 2.0 )3.0) ARA1) yuk1 "0" "Döş:marley")
(command "text" "st" "standard" "j" "mc" (polar P1 (* (/ pi 2.0 )3.0) (* ARA1 2.0)) yuk1 "0" "Duv:Saten;Tav:tav.b.")
)
)
(command "text" "st" "standard" "j" "mc" p1 yuk1 "0" mah_alani "" "")





;;;***************************************
(command "layer" "on" "aks" "")
(command "layer" "on" "kesit" "")
(command "layer" "on" "L4" "")
(command "layer" "on" "siva" "")
(command "layer" "on" "tarama" "")
(command "layer" "on" "tefris" "")
(command "layer" "on" "aks_ici" "")
;;;***************************************




(setvar "CMDECHO" bCmdEcho)
(setvar "OSMODE" nOsnap)

(command "-color" "Bylayer")
(prompt "Eger mahal alani uygun degilse kapali alaninizi kontrol ediniz...!!!! ")
)

11.04.2011 19:39
63818    
subone

[1] Yeni üye

Online Durumu

1 ileti
örenci
ankara

Merhaba
ben bu lips işinde yeniyim bir sorum olacak boru redüksiyon açılımlarını yapan bir lisp yapılabilirmi bunun için adaptör 2007 progrmaını kulandım ancak deneme sürümüydü yardımcı olursanız çok sevinirim

teşekkürler

12.04.2011 22:44
63848    
yst

[2] Girişimci

Online Durumu

5 ileti
mimar
Muğla

Merhaba, ilk sayfadan itibaren tek tek okudum ama, ya gözümden kaçtı, yada bir bağlantı kuramadım, size çok basit gelebilir ama bir sorum olacak. yük.10, en 20, derinlik 25 ve farklı ölçülerde 4-5 bloğun olduğu ve bunların 3b olduğu bir dosyam var. bu blokların en boy ve derinlik olarak ölçülerini excel' e atabilen bir lisp çalışması çok mu zor? var ise nerededir? ilgilenen herkese şimdiden teşekkürler.

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] > 15 < [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] [85] Sonraki Sayfa
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 677 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam